require "sun_quiz/version"

module SunQuiz
  class Question
    attr_accessor :prompt, :answer
    def initialize prompt, answer
      @prompt = prompt
      @answer = answer
    end
  end
  class Quiz
    def self.import questions
      @questions = questions
    end
    def self.execute
      answer = ""
      score = 0
      @questions.each do |question|
        puts question.prompt
        answer = gets.chomp
        score += 1 if answer == question.answer
      end
      puts "you got #{score} out of #{@questions.size}"
    end
  end
end
